extends Node3D

func _input(event):
	if !event.is_action_type():
		return
	for action_name in InputMap.get_actions():
		if event.is_action_pressed(action_name):
			SignalManager.input_action_pressed.emit(action_name)
		elif event.is_action_released(action_name):
			SignalManager.input_action_released.emit(action_name)
	var input_dir = Input.get_vector("move_left", "move_right", "move_up", "move_down")
	SignalManager.input_action_move.emit(input_dir)
